camel-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Claus Ibsen (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (CAMEL-7818) Feature validation of camel-spring-security is failing
Date Sun, 30 Nov 2014 14:27:13 GMT

     [ https://issues.apache.org/jira/browse/CAMEL-7818?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Claus Ibsen updated CAMEL-7818:
-------------------------------
    Component/s: osgi

> Feature validation of camel-spring-security is failing
> ------------------------------------------------------
>
>                 Key: CAMEL-7818
>                 URL: https://issues.apache.org/jira/browse/CAMEL-7818
>             Project: Camel
>          Issue Type: Task
>          Components: camel-spring-security, osgi
>    Affects Versions: 2.15.0
>            Reporter: Christian Müller
>
> After upgrading to Spring 4, the feature validation of camel-spring-integration is failing:
> {noformat}
> mvn install -Pvalidate
> ...
> WARNING] Failed to validate feature camel-spring-security
> [WARNING] No export found to match org.springframework.security.ldap.authentication;version="[3.2.5.RELEASE,
3.3.0)" (imported by mvn:org.springframework.security/spring-security-config/3.2.5.RELEASE)
> [WARNING] No export found to match org.springframework.web.filter;version="[3.2.8.RELEASE,
3.3.0)" (imported by mvn:org.springframework.security/spring-security-web/3.2.5.RELEASE)
> [WARNING] No export found to match org.springframework.http;version="[3.2.8.RELEASE,
3.3.0)" (imported by mvn:org.springframework.security/spring-security-web/3.2.5.RELEASE)
> [WARNING] No export found to match org.springframework.security.ldap;version="[3.2.5.RELEASE,
3.3.0)" (imported by mvn:org.springframework.security/spring-security-config/3.2.5.RELEASE)
> [WARNING] No export found to match org.springframework.security.ldap.search;version="[3.2.5.RELEASE,
3.3.0)" (imported by mvn:org.springframework.security/spring-security-config/3.2.5.RELEASE)
> [WARNING] No export found to match org.springframework.security.access.intercept.aspectj.aspect;version="[3.2.5.RELEASE,
3.3.0)" (imported by mvn:org.springframework.security/spring-security-config/3.2.5.RELEASE)
> [WARNING] No export found to match org.springframework.security.ldap.server;version="[3.2.5.RELEASE,
3.3.0)" (imported by mvn:org.springframework.security/spring-security-config/3.2.5.RELEASE)
> [WARNING] No export found to match org.springframework.web.servlet.config.annotation;version="[3.2.8.RELEASE,
3.3.0)" (imported by mvn:org.springframework.security/spring-security-config/3.2.5.RELEASE)
> [WARNING] No export found to match org.springframework.web.accept;version="[3.2.8.RELEASE,
3.3.0)" (imported by mvn:org.springframework.security/spring-security-config/3.2.5.RELEASE)
> [WARNING] No export found to match org.springframework.context.expression;version="[3.2.8.RELEASE,
3.3.0)" (imported by mvn:org.springframework.security/spring-security-core/3.2.5.RELEASE)
> [WARNING] No export found to match org.springframework.security.ldap.userdetails;version="[3.2.5.RELEASE,
3.3.0)" (imported by mvn:org.springframework.security/spring-security-config/3.2.5.RELEASE)
> [WARNING] No export found to match org.springframework.web.servlet.support;version="[3.2.8.RELEASE,
3.3.0)" (imported by mvn:org.springframework.security/spring-security-config/3.2.5.RELEASE)
> [INFO] ------------------------------------------------------------------------
> [INFO] BUILD FAILURE
> [INFO] ------------------------------------------------------------------------
> {noformat}
> The latest Spring Security version (3.2.5.RELEASE at present) is still using Spring 3.2.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message